QR code themes

GET https://qrde.cc/api/qr-code-themes/
curl --request GET \
--url 'https://qrde.cc/api/qr-code-themes/' \
--header 'Authorization: Bearer {api_key}' \
พารามิเตอร์ รายละเอียด คำอธิบาย
search ทางเลือก สตริง สตริงการค้นหา
search_by ทางเลือก สตริง คุณกำลังค้นหาโดยใช้ฟิลด์ใด ค่าที่อนุญาตคือ: name.
datetime_field ทางเลือก สตริง ค่าที่อนุญาต: datetime, last_datetime
datetime_start ทางเลือก สตริง กรองผลลัพธ์เริ่มต้นจากวันเวลานี้ รูปแบบ Y-m-d H:i:s.
datetime_end ทางเลือก สตริง กรองผลลัพธ์จนถึงวันและเวลานี้ รูปแบบ Y-m-d H:i:s
order_by ทางเลือก สตริง ฟิลด์ที่จะจัดเรียงผลลัพธ์ด้วย ค่าที่อนุญาตคือ: qr_code_theme_id, datetime, last_datetime, name.
order_type ทางเลือก สตริง การจัดลำดับของผลลัพธ์ ค่าอนุญาตได้แก่: ASC สำหรับการจัดลำดับจากน้อยไปมาก, และ DESC สำหรับการจัดลำดับจากมากไปน้อย.
page ทางเลือก จำนวนเต็ม หมายเลขหน้าที่คุณต้องการผลลัพธ์ ค่าเริ่มต้นคือ 1.
results_per_page ทางเลือก จำนวนเต็ม จำนวนผลลัพธ์ที่คุณต้องการต่อหน้า ค่าที่อนุญาตคือ: 10, 25, 50, 100, 250, 500, 1000 ค่าเริ่มต้นคือ 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "Example",
            "settings": {
                "style": "square",
                "foreground_color": "#000000"
            },
            "preview": "https://qrde.cc/uploads/qr_codes/logo/{preview}.svg",
            "qr_code_logo": null,
            "qr_code_background": null,
            "qr_code_foreground": null,
            "last_datetime": null,
            "datetime": "2026-11-16 15:13:20"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://qrde.cc/api/qr-code-themes?page=1",
        "last": "https://qrde.cc/api/qr-code-themes?page=1",
        "next": null,
        "prev": null,
        "self": "https://qrde.cc/api/qr-code-themes?page=1"
    }
}
GET https://qrde.cc/api/qr-code-themes/{qr_code_theme_id}
curl --request GET \
--url 'https://qrde.cc/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example",
        "settings": {
            "style": "square",
            "foreground_color": "#000000"
        },
        "preview": "https://qrde.cc/uploads/qr_codes/logo/{preview}.svg",
        "qr_code_logo": null,
        "qr_code_background": null,
        "qr_code_foreground": null,
        "last_datetime": null,
        "datetime": "2026-11-16 15:13:20"
    }
}
POST https://qrde.cc/api/qr-code-themes
พารามิเตอร์ รายละเอียด คำอธิบาย
name ที่จำเป็น สตริง -
settings ที่จำเป็น สตริง JSON object with QR code styling parameters. Updates preserve omitted settings.
source_qr_code_id ทางเลือก จำนวนเต็ม Copy images from one of your QR codes.
qr_code_logo ทางเลือก File -
qr_code_background ทางเลือก File -
qr_code_foreground ทางเลือก File -
qr_code_logo_remove ทางเลือก บูลีน -
qr_code_background_remove ทางเลือก บูลีน -
qr_code_foreground_remove ทางเลือก บูลีน -
curl --request POST \
--url 'https://qrde.cc/api/qr-code-themes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'settings={"style":"square","foreground_color":"#123456"}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example",
        "settings": {
            "style": "square",
            "foreground_color": "#123456"
        },
        "preview": "https://qrde.cc/uploads/qr_codes/logo/{preview}.svg",
        "qr_code_logo": null,
        "qr_code_background": null,
        "qr_code_foreground": null,
        "last_datetime": null,
        "datetime": "2026-11-16 15:13:20"
    }
}
POST https://qrde.cc/api/qr-code-themes/{qr_code_theme_id}
พารามิเตอร์ รายละเอียด คำอธิบาย
name ทางเลือก สตริง -
settings ทางเลือก สตริง JSON object with QR code styling parameters. Updates preserve omitted settings.
source_qr_code_id ทางเลือก จำนวนเต็ม Copy images from one of your QR codes.
qr_code_logo ทางเลือก File -
qr_code_background ทางเลือก File -
qr_code_foreground ทางเลือก File -
qr_code_logo_remove ทางเลือก บูลีน -
qr_code_background_remove ทางเลือก บูลีน -
qr_code_foreground_remove ทางเลือก บูลีน -
curl --request POST \
--url 'https://qrde.cc/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'settings={"foreground_color":"#654321"}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example",
        "settings": {
            "style": "square",
            "foreground_color": "#654321"
        },
        "preview": "https://qrde.cc/uploads/qr_codes/logo/{preview}.svg",
        "qr_code_logo": null,
        "qr_code_background": null,
        "qr_code_foreground": null,
        "last_datetime": "2026-11-16 15:13:20",
        "datetime": "2026-11-16 15:13:20"
    }
}
DELETE https://qrde.cc/api/qr-code-themes/{qr_code_theme_id}
curl --request DELETE \
--url 'https://qrde.cc/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \